<%--
    Copyright  2004 Sun Microsystems, Inc. All rights reserved
    Use is subject to license terms.
--%>

 
<html>
<%@include file="../base/AMBase.jsp" %>
<%@page info="SMSubConfigProfile" language="java"%>
<%@taglib uri="/WEB-INF/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/console.tld" prefix="console"%>
<jato:useViewBean 
    className="com.iplanet.am.console.service.SMSubConfigProfileViewBean" 
    fireChildDisplayEvents="true">  


<head>
<title><jato:text name="titleHtmlPage" /></title>
<link rel="stylesheet" href="<%= consoleUrl %>css/adminstyle.css"> 
<script language="javascript" src="<%= consoleUrl %>js/consolecomp.js"></script>
<script language="javascript">
if (parent.headerFrame) {
    parent.headerFrame.helpDocURL = "<jato:text name="helpDocURL"/>";
    parent.headerFrame.helpPage = "<jato:text name="helpAnchorTag"/>";
}

function parentagPathSelected(value) {
    var frm = document.forms['frmParentagePath'];
    frm.elements['SMSubConfigProfile.ccParentagePath'].value = value;
    frm.submit();
}


</script>
</head>  

<body class="default-body" leftMargin=0 rightMargin=0 topMargin=0 
    marginheight="0" marginwidth="0">
<script language="javascript">
var pageLoaded = 0;
</script>

<table class="title-bgcolor" width="100%" border="0" cellspacing="0" cellpadding="2">
    <tr>
    <td width="100%">
	<div class="left-margin"><console:parentagepath name="ccParentagePath" invokeJS="parentagPathSelected" bgColor="#000000" />
         </div>
    </td>
    </tr>
</table>

<console:form name="SMSubConfigProfile" method="post" defaultCommandChild="btnSave">

<console:messagebox name="ccMsgBox" imageURI="<%= consoleImages %>" />

<jato:content name="HasGlobalAttributes">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
    <td><img src="<%=consoleImages%>/spacer.gif" height="10"  alt=""></td>
    </tr>
    <tr>
    <td width="98%" align="right"><console:button name="btnSave" /></td>
    <td width="1%"><console:button name="btnReset" /></td>
    <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
    </tr>
</table>
</jato:content>

<jato:content name="GlobalSubSchema">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
    <td width="98%">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	    <td width="100%">
		<div class="properties-level1-label-text"><jato:text name="lblSubConfigTitle" /></div>
	    </td>
	    </tr>
	    <tr>
	    <td width="100%" class="table-separator-row"><img src="<%=consoleImages%>/spacer.gif" height="2" border="0" alt=""></td>
	    </tr>
	</table>
    </td>
    <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
    </tr>
    <tr>
	<td colspan="3"><img src="<%=consoleImages%>/spacer.gif" height="20" alt=""></td>
    </tr>
</table>


<div class="left-margin">
<div class="left-margin">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
    <td colspan=2 width="99%"><div class="table-title-text"><jato:text name="hdrInstanceTbl" /></div></td>
    <td width="1%">&nbsp;</td>
    </tr>

    <tr> 
    <td colspan=2 width="99%">
	<table border="0" cellspacing="0" cellpadding="0">
	    <tr>
	    <td><console:button name="btnCreateInstance" /></td>
            <td><img src="<%=consoleImages%>/spacer.gif" width="5" height="1" alt=""></td>
            <td><console:button name="btnDeleteInstance" /></td>
            </tr>
	</table>
    </td>
    <td colspan=2>&nbsp;</td>
    </tr>

    <tr>
    <td colspan="3"><img src="<%=consoleImages%>/spacer.gif" width="1" height="5" alt=""></td>
    </tr>

    <tr> 
    <td colspan="2" width="99%">
	<table class="table-frame" border="0" cellspacing="0" cellpadding="1" width="100%">
	    <tr>
	    <td>
		<table class="table-content" border="0" cellspacing="0" cellpadding="0" width="100%">
		    <tr class="table-header-row"> 
		    <th width="1"><img alt="" border="0" height="1" width="10" src="<%=consoleImages%>/spacer.gif"></th>
		    <th width="1"> 
			<table border="0" cellspacing="0" cellpadding="0">
			    <tr>
			    <td><a href="javascript:selAllCheckBoxes('SMSubConfigProfile', true, 'tiledViewSubConfig')"><img src="<%=consoleImages%>/selectall.gif" border=0 alt="<jato:text name="selectAllImage"/>"></a></td>
			    <td><a href="javascript:selAllCheckBoxes('SMSubConfigProfile', false, 'tiledViewSubConfig')"><img src="<%=consoleImages%>/deselectall.gif" border=0 alt="<jato:text name="deSelectAllImage"/>"></a></td>
			    </tr>
			</table>
		    </th>
		    <th width="1"><img alt="" border="0" height="1" width="15" src="<%=consoleImages%>/spacer.gif"></th>
                    <th><div class="table-header-text"><jato:text name="lblInstanceName" /></div></th>
		    <th width="1"><img alt="" border="0" height="1" width="15" src="<%=consoleImages%>/spacer.gif"></th>
		    <th><div class="table-header-text"><jato:text name="lblInstanceType" /></div></th>
		    <th width="1"><img alt="" border="0" height="1" width="10" src="<%=consoleImages%>/spacer.gif"></th>
		    <th><div class="table-header-text"><jato:text name="lblInstanceAction" /></div></th>
		    <th width="1"><img alt="" border="0" height="1" width="10" src="<%=consoleImages%>/spacer.gif"></th>
		    </tr>

<jato:content name="HasSubConfig">
		    <jato:tiledView name="tiledViewSubConfig" type="com.iplanet.am.console.service.SMSubConfigTiledView">
		    <tr> 
		    <td>&nbsp;</td>
                    <td align="center"><jato:checkbox name="checkbox" /></td>
                    <td>&nbsp;</td>
                    <td class="table-normal-text"><jato:text name="lblName" /></td>
                    <td>&nbsp;</td>
                    <td class="table-normal-text"><jato:text name="lblType" /></td>
                    <td>&nbsp;</td>
                    <td><console:href name="hrefEdit"><jato:text name="lblEdit" /></console:href></td>
                    <td>&nbsp;</td>
		    </tr>

		    <tr> 
		    <td class="table-separator-row" colspan="9"><img src="<%=consoleImages%>/spacer.gif" alt="" width="1" height="1" border="0"></td>
		    </tr>
		    </jato:tiledView>
</jato:content>

<jato:content name="NoSubConfig">
		    <tr>
		    <td><img alt="" border="0" height="1" width="10" src="<%=consoleImages%>/spacer.gif"></td>
		    <td colspan="7"><jato:text name="msgNoInstances" /></td>
		    <td><img alt="" border="0" height="1" width="10" src="<%=consoleImages%>/spacer.gif"></td>
		    </tr>
</jato:content>

		</table>
	    </td>
	    </tr>

	</table>
    </td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    </tr>

    <tr>
    <td colspan="3"></td>
    </tr>
</table>
</div>
</div>
<p>&nbsp;</p>
</jato:content>

<jato:content name="HasGlobalAttributes">

<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
    <td width="98%">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	    <td width="100%">
		<div class="properties-level1-label-text"><jato:text name="lblGlobal" /></div>
	    </td>
	    </tr>
	    <tr>
	    <td width="100%" class="table-separator-row"><img src="<%=consoleImages%>/spacer.gif" height="2" border="0" alt=""></td>
	    </tr>
	</table>
    </td>
    <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
    </tr>
</table>

<div class="properties-level3-label-text">
<table border=0 cellpadding=0 cellspacing=0>
    <jato:tiledView name="tiledViewAttrs" type="com.iplanet.am.console.service.SMSubConfigAttrTiledView">
    <tr>
    <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=10  alt=""></td>
    </tr>
    <console:dynamicgui name="ccAttrSet" imageURI="<%= consoleImages %>" />
    </jato:tiledView>
</table>
</div>



<table border=0 cellpadding=0 cellspacing=0 width="100%">
    <tr>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
	<td width="98%"><hr noshade size="1"></td>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
    </tr>
</table>

<!-- buttons -->
<table border=0 cellpadding=0 cellspacing=0 width="100%">
    <tr>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
        <td width="96%" align=right><console:button name="btnSave" /></td>
        <td width="1%"><console:button name="btnReset" /></td>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width="10"  alt=""></td>
    </tr>
</table>
</jato:content>

</console:form> 

<console:form name="frmParentagePath" method="post">
<jato:hidden name="ccParentagePath" />
</console:form>

</body>
<script language="javascript">
pageLoaded = 1;
</script>
</jato:useViewBean> 
</html>
